info.bioinfweb.jphyloio.formats.newick

## Enum NewickTokenType

- java.lang.Object
- - java.lang.Enum<NewickTokenType>
  - - info.bioinfweb.jphyloio.formats.newick.NewickTokenType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NewickTokenType>

      public enum NewickTokenType
      extends java.lang.Enum<NewickTokenType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMMENT`
    `ELEMENT_SEPARATOR`
    `LENGTH`
    `NAME`
    `ROOTED_COMMAND`
    `SUBTREE_END`
    `SUBTREE_START`
    `TERMNINAL_SYMBOL`
    `UNROOTED_COMMAND`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static NewickTokenType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NewickTokenType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROOTED_COMMAND

          public static final NewickTokenType ROOTED_COMMAND

    - #### UNROOTED_COMMAND

          public static final NewickTokenType UNROOTED_COMMAND

    - #### SUBTREE_START

          public static final NewickTokenType SUBTREE_START

    - #### SUBTREE_END

          public static final NewickTokenType SUBTREE_END

    - #### ELEMENT_SEPARATOR

          public static final NewickTokenType ELEMENT_SEPARATOR

    - #### NAME

          public static final NewickTokenType NAME

    - #### LENGTH

          public static final NewickTokenType LENGTH

    - #### TERMNINAL_SYMBOL

          public static final NewickTokenType TERMNINAL_SYMBOL

    - #### COMMENT

          public static final NewickTokenType COMMENT

  - ### Method Detail

    - #### values

          public static NewickTokenType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NewickTokenType c : NewickTokenType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NewickTokenType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<NewickTokenType>`